unit Main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, UCalculs;

type
  TMainForm = class(TForm)
    HeaderLbl: TLabel;
    TextMemo: TMemo;
    ResultLbl: TLabel;
    NumberPanel: TPanel;
    QuitBtn: TButton;
    procedure QuitBtnClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure TextMemoChange(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.dfm}

procedure TMainForm.QuitBtnClick(Sender: TObject);
begin
 Close;
end;

procedure TMainForm.FormCreate(Sender: TObject);
begin
 DoubleBuffered := True;
end;

procedure TMainForm.TextMemoChange(Sender: TObject);
begin
 NumberPanel.Caption := IntToStr(ComputeNumerologicNumber(TextMemo.Text));
end;

end.
